Subject: Re: bug#9889: 24.0.90; emacsclient fails to start on OSX

From: Stefan Monnier <[email-masked]>
Date: Fri, 28 Oct 2011 08:47:37 -0400

>>> Attempting to use "emacsclient" in a shell window.
Stefan> Did you start the Emacs server from the same shell?
Stefan> Do you by any change set the $TMPDIR in your shell initialization files?
> This is launched as Emacs.app
> The userinterface sets a TMPDIR yes.

Both the emacsclient and the Emacs server need to have the same TMPDIR
because they communicate via the $TMPDIR/emacs<UID>/server socket.
So if TMPDIR is not the same, you'll have to pass a -s arg to
emacsclient to specify explicitly which socket to use.

I.e. please check whether this is indeed the source of the problem.

> But this worked before, so something has changed.

Could be that the TMPDIR has changed.  But also emacsclient/server used
to ignore TMPDIR.  I can't remember when this was changed (I think it
was in Emacs-23).

        Stefan